# Change Log
All important changes to AlazarFrontPanel are listed here.

## [0.5.0] - 2022-09-15
### Added
- [INTERNAL] Support for ATS9618, ATS9437 and ATS9358. [#21]
- [INTERNAL] Support for ATS9470. [#30]
- [INTERNAL] Add support for release branch TAG.
  Send release .deb and .rpm packages to Azure. [#32]
- Support for ATS9353. [#23]
- Support for ATS9872. [#24]
- [INTERNAL] Support for ATS9628. [#31]
- Support for ATS9364. [#37]
- [INTERNAL] Website registration. [#40]

### Fixed
- [INTERNAL] Issue where bus benchmark would not work with digitizers ATS9637,
  ATS9618 and ATS9437.
- Issue where bus benchmark would not work with digitizers that do not support
  internal clock 100MHz. [#25]
- Issue with the Linux RPM version of this application where the installation
  could fail because of a conflict with other AlazarTech packages over the
  /usr/local/AlazarTech/etc directory. [#34]
- Issue where power monitor stall. [#36]

## [0.4.4] - 2021-08-23
### Fixed
- Issues where the power monitor would display invalid values for some boards.
  Note: this application requires the latest released driver to be installed for
  the power monitor information to be accurate. [#27]
- Issue where `AlazarSetExternalClockLevel()` is called on boards that don't
  support it. [#28] 

### Changed
- [INTERNAL] Update CI to use docker and CPack. [#29]

## [0.4.3] - 2019-09-23
### Fixed
- Issue where bus benchmark would not work with some digitizers, including
  ATS9416.

## [0.4.2] - 2019-07-04
### Added
- Support for ATS9352 and ATS9453

## [0.4.1] - 2019-05-23
### Added
- Support for ATS9637 and ATS9146

## [0.4.0] - 2019-01-07
### Added
- Support for ATS9120, ATS9130 and ATS9371

## [0.3.9] - 2018-05-02
### Fixed
- Issue where `AlazarSetExternalTrigger()` does not get called in AutoDMA
  acquisitions.

## [0.3.8] - 2017-01-24
### Added
- TTL external trigger range.

### Fixed
- Issue where `AlazarSetExternalClockLevel()` would get called even when clock
  source is internal.
- Call `AlazarSetExternalTrigger()` when required.

## [0.3.7] - 2016-11-30
### Added
- Added support for ATS9373 in Power Monitor
- Fix ATS9416 input range

## [0.3.6] - 2015-09-24
### Fixed
- Prevent sample interleave on ATS9462

### Changed
- Disable 'sample interleave' by default

## [0.3.5] - 2015-08-21
### Fixed
- Fix bug where the VFIFO boards would generate un-interleaved buffers.

### Changed
- Make external clock level adjustable

## [0.3.4] - 2015-06-17
### Fixed
- Fix bug where AlazarSetParameterUL gets called instead of
  AlazarSetParameter

## [0.3.3] - 2015-06-11
### Changed
- Add support for DES-mode for internal clock.

## [0.3.2] - 2015-05-04
### Changed
- Switch to CMake for compilation
- Reorganize source tree
